> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getrecentauctionsbyuuid.md).

# /api/playerauctions/getRecentAuctionsByUUID/{page}

* **Parameters:**
  * `page`: The page number to retrieve (for pagination).
  * `uuid`: Required query parameter to fetch the auctions from the player.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "totalAuctions" : 3,
    "totalPages" : 1,
    "currentPage" : 1,
    "auctions" : [ {
      "randomSort" : -1,
      "internalCurrency" : null,
      "price" : 50000.0,
      "auctionDate" : 1736121916675,
      "auctionServer" : "PA_SERVER",
      "itemAmount" : 1,
      "uuid" : "5ca251ab-589d-4f04-8f0c-28404d0686b0",
      "world" : "world",
      "unlimited" : false,
      "type" : "AUCTIONED",
      "currency" : {
        "integrated" : false,
        "version" : "1.1.0-pre2",
        "minPricePurchaseAmount" : -1.0,
        "minPriceSellAmount" : 1000.0,
        "maxPriceSellAmount" : 9999999.0,
        "minPriceBidAmount" : 1000.0,
        "name" : "Vault Currency",
        "enabled" : true,
        "currencyName" : "money",
        "internalCurrencies" : [ ]
      },
      "id" : 3,
      "item" : {
        "type" : "DIAMOND_CHESTPLATE",
        "meta" : {
          "enchants" : {
            "minecraft:mending" : 1,
            "minecraft:protection" : 5,
            "minecraft:unbreaking" : 3
          }
        }
      },
      "originalPrice" : 0.0,
      "auctionCategories" : [ ],
      "bidder" : null,
      "bidding" : false,
      "expireTime" : -1
    }, {
      "randomSort" : -1,
      "internalCurrency" : null,
      "price" : 5000.0,
      "auctionDate" : 1736121853774,
      "auctionServer" : "PA_SERVER",
      "itemAmount" : 1,
      "uuid" : "5ca251ab-589d-4f04-8f0c-28404d0686b0",
      "world" : "world",
      "unlimited" : false,
      "type" : "AUCTIONED",
      "currency" : {
        "integrated" : false,
        "version" : "1.1.0-pre2",
        "minPricePurchaseAmount" : -1.0,
        "minPriceSellAmount" : 1000.0,
        "maxPriceSellAmount" : 9999999.0,
        "minPriceBidAmount" : 1000.0,
        "name" : "Vault Currency",
        "enabled" : true,
        "currencyName" : "money",
        "internalCurrencies" : [ ]
      },
      "id" : 2,
      "item" : {
        "type" : "DIAMOND_SWORD"
      },
      "originalPrice" : 0.0,
      "auctionCategories" : [ ],
      "bidder" : null,
      "bidding" : false,
      "expireTime" : -1
    }, {
      "randomSort" : -1,
      "internalCurrency" : null,
      "price" : 1000.0,
      "auctionDate" : 1736121811974,
      "auctionServer" : "PA_SERVER",
      "itemAmount" : 64,
      "uuid" : "5ca251ab-589d-4f04-8f0c-28404d0686b0",
      "world" : "world",
      "unlimited" : false,
      "type" : "AUCTIONED",
      "currency" : {
        "integrated" : false,
        "version" : "1.1.0-pre2",
        "minPricePurchaseAmount" : -1.0,
        "minPriceSellAmount" : 1000.0,
        "maxPriceSellAmount" : 9999999.0,
        "minPriceBidAmount" : 1000.0,
        "name" : "Vault Currency",
        "enabled" : true,
        "currencyName" : "money",
        "internalCurrencies" : [ ]
      },
      "id" : 1,
      "item" : {
        "type" : "DIRT",
        "amount" : 64
      },
      "originalPrice" : 0.0,
      "auctionCategories" : [ ],
      "bidder" : null,
      "bidding" : false,
      "expireTime" : -1
    } ]
  }
  ```

**Fields:**

* **totalAuctions** (Number): The total number of auctions available.
* **totalPages** (Number): The total number of pages for the auctions.
* **currentPage** (Number): The current page number being viewed.
* **auctions** (Array): A list of auction items.
  * **randomSort** (Number): A random sort value for the auction.
  * **internalCurrency** (Null): The internal currency value.
  * **price** (Number): The price of the auction item.
  * **auctionDate** (Number): The timestamp when the auction was created.
  * **auctionServer** (String): The server where the auction is hosted.
  * **itemAmount** (Number): The number of items listed in the auction.
  * **uuid** (String): The unique identifier for the auction.
  * **world** (String): The world associated with the auction.
  * **unlimited** (Boolean): Whether the auction has unlimited items.
  * **type** (String): The type of auction.
  * **currency** (Object): Information about the currency used in the auction.
    * **integrated** (Boolean): Whether the currency is integrated into the auction.
    * **version** (String): The version of the currency system.
    * **minPricePurchaseAmount** (Number): The minimum purchase amount for the auction item.
    * **minPriceSellAmount** (Number): The minimum sell amount for the auction item.
    * **maxPriceSellAmount** (Number): The maximum sell amount for the auction item.
    * **minPriceBidAmount** (Number): The minimum bid amount for the auction item.
    * **name** (String): The name of the currency.
    * **enabled** (Boolean): Whether the currency is enabled.
    * **currencyName** (String): The name of the currency.
    * **internalCurrencies** (Array): A list of internal currencies associated with the auction.
  * **id** (Number): The unique ID of the auction.
  * **item** (Object): Details of the item being auctioned.
    * **type** (String): The type of the item.
    * **meta** (Object): Metadata for the item, if applicable.
      * **enchants** (Object): Enchantments applied to the item.
        * **minecraft:mending** (Number): The level of the Mending enchantment.
        * **minecraft:protection** (Number): The level of the Protection enchantment.
        * **minecraft:unbreaking** (Number): The level of the Unbreaking enchantment.
    * **amount** (Number): The amount of the item, if applicable.
  * **originalPrice** (Number): The original price of the auction item.
  * **auctionCategories** (Array): A list of auction categories.
  * **bidder** (Null): Information about the bidder, if applicable.
  * **bidding** (Boolean): Whether bidding is allowed for the auction.
  * **expireTime** (Number): The expiration time of the auction item in milliseconds.

**Note:**

* [**Authentication**](/projects/playerauctions/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access auction information if you do not own the auction.
